Bug 235724 - [PATCH] security/snort: undeprecate BARNYARD option
Summary: [PATCH] security/snort: undeprecate BARNYARD option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Craig Leres
URL:
Keywords:
Depends on: 235723
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-14 01:31 UTC by Craig Leres
Modified: 2019-02-15 23:22 UTC (History)
0 users

See Also:
zi: maintainer-feedback+


Attachments
patch (539 bytes, patch)
2019-02-14 01:31 UTC, Craig Leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2019-02-14 01:31:36 UTC
The BARNYARD option was deprecated because the BRO option in security/barnyard was deprecated because security/bro used net/GeoIP which was deprecated. security/bro has been converted to use net/libmaxminddb (GeoIP 2 format) and is no longer deprecated. PR 235723 undeprecates the BRO option in security/barnyard and this patch undeprecates the BARNYARD option in security/snort.
Comment 1 Craig Leres freebsd_committer 2019-02-14 01:31:58 UTC
Created attachment 202001 [details]
patch
Comment 2 Ryan Steinmetz freebsd_committer freebsd_triage 2019-02-14 01:59:19 UTC
Approved.
Comment 3 commit-hook freebsd_committer 2019-02-15 23:22:12 UTC
A commit references this bug:

Author: leres
Date: Fri Feb 15 23:22:05 UTC 2019
New revision: 493013
URL: https://svnweb.freebsd.org/changeset/ports/493013

Log:
  Undeprecate the BARNYARD option now that the dependent ports
  (security/barnyard and security/bro) have been undeprecated.

  PR:		235724
  Approved by:	zi (maintainer), matthew (mentor, implicit)

Changes:
  head/security/snort/Makefile